import 'package:fluentui_system_icons/fluentui_system_icons.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class PaymentDetailCard extends StatelessWidget {
  const PaymentDetailCard({
    Key? key,
    required this.className,
    this.onTap,
  }) : super(key: key);

  final String className;
  final Function()? onTap;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Container(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 11),
        color: Theme.of(context).colorScheme.surface,
        child: Column(
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Text(
                  className,
                  style: Theme.of(context).textTheme.subtitle2!.copyWith(
                      fontWeight: FontWeight.w400,
                      color: Get.isDarkMode
                          ? Theme.of(context).primaryColorLight
                          : Theme.of(context).primaryColor),
                ),
                const Icon(FluentIcons.arrow_right_20_regular)
              ],
            ),
          ],
        ),
      ),
    );
  }
}
